aboutsummaryrefslogtreecommitdiff
Commit message (Collapse)AuthorAgeFilesLines
* dev-qt/qtwebengine: remove 'fixup-system-icu' from 5.13.9999HEADmasterJimi Huotari3 days1-2/+0
| | | | | | | - https://code.qt.io/cgit/qt/qtwebengine.git/commit/?h=5.13&id=0e1ef598 Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt-base: add 0.14.0 for testingJimi Huotari4 days29-0/+728
| | | | | | Bug: https://bugs.gentoo.org/676798 Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* media-gfx/lximage-qt: add 0.14.0 for testingJimi Huotari4 days2-0/+45
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* x11-themes/lxqt-themes: add 0.14.0 for testingJimi Huotari4 days2-0/+25
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* x11-misc/pcmanfm-qt: add 0.14.0 for testingJimi Huotari4 days2-0/+50
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* x11-libs/libfm-qt: add 0.14.0 for testingJimi Huotari4 days2-0/+40
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt-base/libsysstat: add 0.4.2 for testingJimi Huotari4 days2-0/+25
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* dev-util/lxqt-build-tools: add 0.6.0 for testingJimi Huotari4 days2-0/+27
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* dev-libs/libqtxdg: add 3.3.0 for testingJimi Huotari4 days2-0/+49
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt: remove 'lxqt-base/lxqt-common' blockersJimi Huotari4 days9-9/+1
| | | | | | | | | | This package was removed a while ago [1], so it should be safe to remove these now. 1. https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=06a16e24 Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt: add blockers for 'lxqt-base/lxqt-l10n'Jimi Huotari4 days17-0/+17
| | | | | | | | Due to the translation changes, this package installs conflicting files, not to mention it is deprecated upstream. Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt: bump a few 'lxqt-build-tools' minimum requirementsJimi Huotari4 days6-6/+7
| | | | | | | Also add a consistency newline below EAPI on 'lxqt-archiver'. Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt: EAPI="7" bump for a few forgotten onesJimi Huotari4 days3-13/+14
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt-base/lxqt-powermanagement: remove 'upower-pm-utils' dependencyJimi Huotari4 days1-4/+1
| | | | | | | | | The 'sys-power/upower-pm-utils' package has been removed. - https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5ec086c2 Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt: bump eapi to 7 for all related packagesJimi Huotari4 days22-124/+136
| | | | | Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt-base/lxqt-panel: remove USE="clock" and its configure optionJimi Huotari4 days2-3/+1
| | | | | | | | | | The 'clock' plug-in (replaced with 'worldclock') is no longer available. - https://github.com/lxqt/lxqt-panel/commit/3eb1a8b1 Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt: remove all '-DPULL_TRANSLATIONS' optionsJimi Huotari4 days17-100/+4
| | | | | | | | | | | Upstream has moved translations away from 'lxqt-base/lxqt-l10n' into their own repositories, and moving to using 'Weblate'. - https://github.com/lxqt/lxqt/issues/1495 - https://github.com/lxqt/lxqt/issues/1497 Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt-base/lxqt-config: remove upstreamed touchpad patch reduxJimi Huotari4 days1-206/+0
| | | | | | | | Remove the actual patch file, too, which somehow got left lingering about after 91e8f038. Package-Manager: Portage-2.3.61, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* app-emulation/q4wine: sync with the main Gentoo repo treeJimi Huotari8 days1-21/+12
| | | | | Package-Manager: Portage-2.3.60, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* dev-qt/qdoc: Fix buildAndreas Sturmlechner2019-02-051-5/+8
| | | | | | | | | | Upstream commit e181ec2c20ede6b878187f3123d190e8b952deb1 Reported-by: Arfrever Frehtes Taifersar Arahesis <arfrever.fta@gmail.com> Thanks-to: Jimi Huotari <chiitoo@gentoo.org> Bug: https://bugs.gentoo.org/676948 Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* qt5-build.eclass: Drop obsolete Qt 5.12.0 quirkAndreas Sturmlechner2019-02-051-2/+1
| | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* dev-qt/qt-docs: 5.12.1_p201901300533 version bumpAndreas Sturmlechner2019-02-053-0/+97
| | | | | Package-Manager: Portage-2.3.52, Repoman-2.3.12 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
* dev-qt/qtwebengine: Drop broken gcc8 patchAndreas Sturmlechner2019-02-053-27/+1
| | | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* dev-qt: Drop Qt 5.12.0Andreas Sturmlechner2019-02-05106-2164/+0
| | | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* dev-qt: Add Qt 5.12.1Andreas Sturmlechner2019-02-05106-0/+2164
| | | | | Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org> Package-Manager: Portage-2.3.51, Repoman-2.3.11
* dev-qt/qtwebengine: fix build with USE="system-icu"Jimi Huotari2019-02-043-0/+21
| | | | | Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* dev-qt/qtwebengine: remove unneeded GCC patch from 5.{,13.}9999Jimi Huotari2019-02-032-5/+1
| | | | | Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* dev-qt: add 5.13.9999Jimi Huotari2019-01-3053-0/+2108
| | | | | Package-Manager: Portage-2.3.59, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt-base: bump required versions on dependenciesJimi Huotari2019-01-1016-42/+42
| | | | | | | | | Minimum versions for 'libqtxdg' and 'lxqt-build-tools' are now at 3.3.0 and 0.6.0. Closes: https://bugs.gentoo.org/675022 Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* lxqt-base/liblxqt: add 'ewarn' and make USE="policykit" the defaultJimi Huotari2019-01-101-2/+9
| | | | | | | | This is to stress the fact that upstream indeed doesn't support such a build at this time. Package-Manager: Portage-2.3.54, Repoman-2.3.12 Signed-off-by: Jimi Huotari <chiitoo@gentoo.org>
* dev-qt/qtsql: switch to dev-db/oracle-instantclientDavide Pesavento2019-01-083-3/+3
| | | | | | Bug: https://bugs.gentoo.org/669274 Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtsql: upstream learned to use pkg-configDavide Pesavento2019-01-083-3/+0
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtsql: stop using deprecated virtualDavide Pesavento2019-01-083-6/+3
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtsql: apparently upstream doesn't support libiodbc anymoreDavide Pesavento2019-01-083-12/+9
| | | | | | | | | The configure test fails to detect it. Probably easy to fix, but I doubt anyone cares, given that it's been broken since 5.8.0 and no one complained. Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* qt5-build.eclass: move the 's/optimize_full//' sed where it belongsDavide Pesavento2019-01-077-3/+23
| | | | Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt: sync KEYWORDSDavide Pesavento2019-01-0787-87/+87
| | | | Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtcore: sync with 5.11.3-r2 in gentoo.gitDavide Pesavento2019-01-073-3/+27
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtvirtualkeyboard: tweak DESCRIPTIONDavide Pesavento2019-01-073-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtserialbus: tweak DESCRIPTIONDavide Pesavento2019-01-073-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtquickcontrols: update DESCRIPTIONDavide Pesavento2019-01-073-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtlocation: improve DESCRIPTIONDavide Pesavento2019-01-073-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtchooser: sync with gentoo.gitDavide Pesavento2019-01-071-28/+4
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qt3d: tweak DESCRIPTIONDavide Pesavento2019-01-073-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtcanvas3d: remove deprecated moduleDavide Pesavento2019-01-075-81/+0
| | | | | | No point in adding a module that's already deprecated. Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/designer: tweak DESCRIPTIONDavide Pesavento2019-01-073-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtsvg: add := subslot dep on sys-libs/zlibDavide Pesavento2019-01-073-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtnetwork: add sctp USE flagDavide Pesavento2019-01-073-6/+15
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qt{core,gui,network}: drop several obsolete flags from qconfig.hDavide Pesavento2019-01-079-42/+33
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtgui: add := subslot dep on sys-libs/zlibDavide Pesavento2019-01-073-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>
* dev-qt/qtnetwork: add := subslot dep on sys-libs/zlibDavide Pesavento2019-01-063-6/+6
| | | | | Package-Manager: Portage-2.3.53, Repoman-2.3.12 Signed-off-by: Davide Pesavento <pesa@gentoo.org>